package test.info.dragonlady.scriptlet;

import java.util.Calendar;
import java.util.Enumeration;
import java.util.Hashtable;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionContext;

public class TestHttpSession implements HttpSession {
	
	private Hashtable<String, Object> attrMap = new Hashtable<String, Object>();
	private int intervalTime = 0;

	public Object getAttribute(String name) {
		return attrMap.get(name);
	}

	public Enumeration getAttributeNames() {
		return attrMap.keys();
	}

	public long getCreationTime() {
		Calendar cal = Calendar.getInstance();
		return cal.getTimeInMillis();
	}

	public String getId() {
		return "sessionid0001";
	}

	public long getLastAccessedTime() {
		Calendar cal = Calendar.getInstance();
		return cal.getTimeInMillis();
	}

	public int getMaxInactiveInterval() {
		return intervalTime;
	}

	public ServletContext getServletContext() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public HttpSessionContext getSessionContext() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public Object getValue(String name) {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String[] getValueNames() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public void invalidate() {
		// TODO 自動生成されたメソッド・スタブ

	}

	public boolean isNew() {
		// TODO 自動生成されたメソッド・スタブ
		return false;
	}

	public void putValue(String name, Object value) {
		// TODO 自動生成されたメソッド・スタブ

	}

	public void removeAttribute(String name) {
		attrMap.remove(name);
	}

	public void removeValue(String name) {
		// TODO 自動生成されたメソッド・スタブ

	}

	public void setAttribute(String name, Object value) {
		attrMap.put(name, value);
	}

	public void setMaxInactiveInterval(int interval) {
		intervalTime = interval;
	}

}
